# Class StandardCharsets

java.lang.Object
java.nio.charset.StandardCharsets

public final class StandardCharsets extends Object
Constant definitions for the standard `charsets`. These charsets are guaranteed to be available on every implementation of the Java platform.

Since:
  1.7
See Also:
  - Standard Charsets

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Charset`
`ISO_8859_1`
ISO Latin Alphabet No. 1, also known as ISO-LATIN-1.
`static final Charset`
`US_ASCII`
Seven-bit ASCII, also known as ISO646-US, also known as the Basic Latin block of the Unicode character set.
`static final Charset`
`UTF_16`
Sixteen-bit UCS Transformation Format, byte order identified by an optional byte-order mark.
`static final Charset`
`UTF_16BE`
Sixteen-bit UCS Transformation Format, big-endian byte order.
`static final Charset`
`UTF_16LE`
Sixteen-bit UCS Transformation Format, little-endian byte order.
`static final Charset`
`UTF_32`
Thirty-two-bit UCS Transformation Format, byte order identified by an optional byte-order mark.
`static final Charset`
`UTF_32BE`
Thirty-two-bit UCS Transformation Format, big-endian byte order.
`static final Charset`
`UTF_32LE`
Thirty-two-bit UCS Transformation Format, little-endian byte order.
`static final Charset`
`UTF_8`
Eight-bit UCS Transformation Format.

## Method Summary

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### US_ASCII

public static final Charset US_ASCII
Seven-bit ASCII, also known as ISO646-US, also known as the Basic Latin block of the Unicode character set.

### ISO_8859_1

public static final Charset ISO_8859_1
ISO Latin Alphabet No. 1, also known as ISO-LATIN-1.

### UTF_8

public static final Charset UTF_8
Eight-bit UCS Transformation Format.

### UTF_16BE

public static final Charset UTF_16BE
Sixteen-bit UCS Transformation Format, big-endian byte order.

### UTF_16LE

public static final Charset UTF_16LE
Sixteen-bit UCS Transformation Format, little-endian byte order.

### UTF_16

public static final Charset UTF_16
Sixteen-bit UCS Transformation Format, byte order identified by an optional byte-order mark.

### UTF_32BE

public static final Charset UTF_32BE
Thirty-two-bit UCS Transformation Format, big-endian byte order.

Since:
  22

### UTF_32LE

public static final Charset UTF_32LE
Thirty-two-bit UCS Transformation Format, little-endian byte order.

Since:
  22

### UTF_32

public static final Charset UTF_32
Thirty-two-bit UCS Transformation Format, byte order identified by an optional byte-order mark.

Since:
  22